Bug 40410 - add java.io.File FileUtil.normalizeFile(java.io.File) method
add java.io.File FileUtil.normalizeFile(java.io.File) method
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Filesystems
4.x
All All
: P2 (vote)
: 4.x
Assigned To: rmatous
issues@platform
: API
Depends on:
Blocks: 40430
  Show dependency treegraph
 
Reported: 2004-02-24 10:23 UTC by David Konecny
Modified: 2008-12-22 18:06 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Konecny 2004-02-24 10:23:37 UTC
The implementation will do:

- on Windows, call getCanonicalFile to avoid lots
of evil problems with e.g. filename case and 8.3
syntax.

- on Unix or Unix-like systems, use new
File(f.toURI().normalize()) which takes care of
"." and ".." path components and absolutizes the
path but does not traverse symlinks.

This method will have to be used consistently in
all code base in order to prevent issues like 25953.
Comment 1 David Konecny 2004-03-02 10:55:08 UTC
Radek volunteer to do this.
Comment 2 Jesse Glick 2004-05-07 22:41:02 UTC
Doesn't we already have this method?? Why is this still open? And why
is Version set to 3.5?
Comment 3 David Konecny 2004-05-09 11:30:45 UTC
Fixed long time ago.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo